Cannot download lutris

Sudo apt-get update and when trying to insatll it gives me this error

What Zorin Version do You have?

Please note this Just Now Pinned topic:

1 Like

OS 15.3 lite, couldn't get a hold of a 16.3 lite copy, know where I can find that by any chance?

You can get it from a mirror server: Index of /zorinos-isos/16/
And the official checksums for 16.3 Lite is here: Checksum problem - #4 by Bourne

2 Likes